# Interface Stream<T>

All Superinterfaces:
  `AutoCloseable, BaseStream<T, Stream<T>>`

public interface Stream<T> extends BaseStream<T, Stream<T>>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `allMatch(Predicate<? super T> predicate)`
  `boolean`
  `anyMatch(Predicate<? super T> predicate)`
  `<A,R> R`
  `collect(Collector<? super T, A, R> collector)`
  `long`
  `count()`
  `Stream<T>`
  `distinct()`
  `static <T> Stream<T>`
  `empty()`
  `Stream<T>`
  `filter(Predicate<? super T> predicate)`
  `void`
  `forEach(Consumer<? super T> action)`
  `Stream<T>`
  `limit(long maxSize)`
  `<R> Stream<R>`
  `map(Function<? super T, ? extends R> mapper)`
  `boolean`
  `noneMatch(Predicate<? super T> predicate)`
  `static <T> Stream<T>`
  `of(T... values)`
  `T`
  `reduce(T identity, BinaryOperator<T> accumulator)`
  `Stream<T>`
  `skip(long n)`
  `Stream<T>`
  `sorted()`
  `Object[]`
  `toArray()`

  ### Methods inherited from interface BaseStream

  `close, iterator, parallel, sequential`
  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `Iterator<T>`
  `iterator()`
  `Stream<T>`
  `parallel()`
  `Stream<T>`
  `sequential()`

- ## Method Details

  - ### filter

    Stream<T> filter(Predicate<? super T> predicate)

  - ### map

    <R> Stream<R> map(Function<? super T, ? extends R> mapper)

  - ### sorted

    Stream<T> sorted()

  - ### distinct

    Stream<T> distinct()

  - ### limit

    Stream<T> limit(long maxSize)

  - ### skip

    Stream<T> skip(long n)

  - ### forEach

    void forEach(Consumer<? super T> action)

  - ### toArray

    Object[] toArray()

  - ### reduce

    T reduce(T identity, BinaryOperator<T> accumulator)

  - ### collect

    <A,R> R collect(Collector<? super T, A, R> collector)

  - ### count

    long count()

  - ### anyMatch

    boolean anyMatch(Predicate<? super T> predicate)

  - ### allMatch

    boolean allMatch(Predicate<? super T> predicate)

  - ### noneMatch

    boolean noneMatch(Predicate<? super T> predicate)

  - ### empty

    static <T> Stream<T> empty()

  - ### of

    static <T> Stream<T> of(T... values)